package com.example.controller;

import com.example.entity.RestBean;
import com.example.entity.vo.request.RegisterServerVO;
import com.example.service.ServerService;
import jakarta.annotation.Resource;
import jakarta.validation.Valid;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api/server")
public class ServerController {

    @Resource
    ServerService service;

    @PostMapping("/register")
    public RestBean<Void> register(@Valid @RequestBody RegisterServerVO vo) {
        return service.registerServer(vo) ?
                RestBean.success() : RestBean.failure(401, "注册码填写错误，注册主机失败");
    }
}
