package com.example.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.entity.dto.Server;
import com.example.entity.dto.ServerInfo;
import com.example.entity.vo.request.RegisterServerVO;
import com.example.mapper.ServerInfoMapper;
import com.example.mapper.ServerMapper;
import com.example.service.ServerService;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.Random;

@Service
public class ServerServiceImpl extends ServiceImpl<ServerMapper, Server> implements ServerService {

    @Mapper
    ServerInfoMapper infoMapper;

    @Override
    public boolean registerServer(RegisterServerVO vo) {
        if(this.verifyAccessToken(vo.getAccessToken())) {
            int id = createRandomId();
            Server server = new Server(id, "未命名服务器", new Date());
            ServerInfo info = new ServerInfo();
            BeanUtils.copyProperties(vo, info);
            info.setId(id);
            baseMapper.insert(server);
            infoMapper.insert(info);
            return true;
        } else {
            return false;
        }
    }

    private int createRandomId() {
        Random random = new Random();
        return random.nextInt(900000) + 100000;
    }

    private boolean verifyAccessToken(String token) {
        return "123456".equals(token);
    }
}
